# Class CodeExecutionUtils.File

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.codeexecutors.CodeExecutionUtils.File

Enclosing class:
  `CodeExecutionUtils`

public abstract static class CodeExecutionUtils.File extends JsonBaseModel
A structure that contains a file name and its content.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CodeExecutionUtils.File.Builder`
  Builder for `CodeExecutionUtils.File`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `File()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeExecutionUtils.File.Builder`
  `builder()`
  `abstract String`
  `content()`
  The base64-encoded bytes of the file content.
  `abstract String`
  `mimeType()`
  The mime type of the file (e.g., "image/png").
  `abstract String`
  `name()`
  The name of the file with file extension (e.g., "file.csv").

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### File

    public File()

- ## Method Details

  - ### name

    public abstract String name()
    The name of the file with file extension (e.g., "file.csv").

  - ### content

    public abstract String content()
    The base64-encoded bytes of the file content.

  - ### mimeType

    public abstract String mimeType()
    The mime type of the file (e.g., "image/png").

  - ### builder

    public static CodeExecutionUtils.File.Builder builder()